#!/bin/bash

# This assumes no other servers are running.

./bin/control-server &
ctrlpid=$!

sleep 0.5s

./bin/anonymity-server -l :53330 &
s1pid=$!
./bin/anonymity-server -l :53331 &
s2pid=$!
./bin/anonymity-server -l :53332 &
s3pid=$!

./bin/proxy &
p1pid=$!

sleep 0.5s

./bin/client &
c1pid=$!
./bin/client -m proxy &
c2pid=$!

chromium --incognito --proxy-server="localhost:63330"
kill $c1pid $c2pid $s1pid $s2pid $s3pid $p1pid $ctrlpid
